export const loginModuleLabels: Record<UnionKey.LoginModule, string> = {
  'pwd-login': '账密登录',
  'code-login': '手机验证码登录',
  register: '注册',
  'reset-pwd': '重置密码',
  'bind-wechat': '微信绑定'
};

export const userRoleLabels: Record<Auth.RoleType, string> = {
  super: '超级管理员',
  admin: '管理员',
  user: '普通用户'
};

export const userRoleOptions: Common.OptionWithKey<Auth.RoleType>[] = [
  { value: 'super', label: userRoleLabels.super },
  { value: 'admin', label: userRoleLabels.admin },
  { value: 'user', label: userRoleLabels.user }
];

/** 用户性别 */
export const genderLabels: Record<UserManagement.GenderKey, string> = {
  0: '女',
  1: '男'
};

export const genderOptions: Common.OptionWithKey<UserManagement.GenderKey>[] = [
  { value: '0', label: genderLabels['0'] },
  { value: '1', label: genderLabels['1'] }
];

/** 用户状态 */
export const userStatusLabels: Record<UserManagement.UserStatusKey, string> = {
  1: '启用',
  2: '禁用',
  3: '冻结',
  4: '软删除'
};

export const userStatusOptions: Common.OptionWithKey<UserManagement.UserStatusKey>[] = [
  { value: '1', label: userStatusLabels['1'] },
  { value: '2', label: userStatusLabels['2'] },
  { value: '3', label: userStatusLabels['3'] },
  { value: '4', label: userStatusLabels['4'] }
];

/**
 * 0 无效类型
 * 1 日期类型
 * 2 时间类型
 * 3 字符串
 * 4 小数类型
 * 5 bool类型
 * 6 整数类型
 */
export const fieldTypeLabels: Record<BackgroundField.FieldTypeKey, string> = {
  0: '无效类型',
  1: '日期类型',
  2: '时间类型',
  3: '字符串',
  4: '小数类型',
  5: '布尔类型',
  6: '整数类型'
};

export const fieldTypeOptions: Common.OptionWithKey<BackgroundField.FieldTypeKey>[] = [
  { value: 1, label: fieldTypeLabels['1'] },
  { value: 2, label: fieldTypeLabels['2'] },
  { value: 3, label: fieldTypeLabels['3'] },
  { value: 4, label: fieldTypeLabels['4'] },
  { value: 5, label: fieldTypeLabels['5'] },
  { value: 6, label: fieldTypeLabels['6'] }
];

/**
 * 组件类型
 * 0 单行文本
 * 1 多行文本
 * 2 下拉框
 * 3 单选框
 * 4 多选框
 * 5 日期选择器
 * 6 时间选择器
 * 7 开关
 */
export const componentsTypeLabels: Record<BackgroundField.ComponentsTypeKey, string> = {
  0: '单行文本',
  1: '多行文本',
  2: '下拉框',
  3: '单选框',
  4: '多选框',
  5: '日期选择器',
  6: '时间选择器',
  7: '开关'
};

export const componentsTypeOptions: Common.OptionWithKey<BackgroundField.ComponentsTypeKey>[] = [
  { value: 0, label: componentsTypeLabels['0'] },
  { value: 1, label: componentsTypeLabels['1'] },
  { value: 2, label: componentsTypeLabels['2'] },
  { value: 3, label: componentsTypeLabels['3'] },
  { value: 4, label: componentsTypeLabels['4'] },
  { value: 5, label: componentsTypeLabels['5'] },
  { value: 6, label: componentsTypeLabels['6'] }
];
